Subject: bug#66223: treesit-major-mode-setup should not call font-lock-mode

From: Stefan Kangas <[email-masked]>
Date: Wed, 27 Sep 2023 04:15:54 -0700

Dmitry Gutov <[email-masked]> writes:

> On 27/09/2023 10:21, Yuan Fu wrote:
>> Makes sense. We can remove that line in master, and see if anything
>> comes up. I don’t remember why I added it, I don’t think there was
>> any particular reason.
>
> If we have to start on master, so be it. I'd like to see the fix in
> emacs-29, though (at least eventually).

Sounds good to me, if no one has any objections.  The call does seem
superfluous there.

I've noted this bug in my list of things to revisit before the first
Emacs 29.2 pretest.  It doesn't hurt if someone else helps remembering
it too, of course.